Name:		smeserver-sogosync
Version:	0.1.7
Release:	1%{?dist}
Summary:	SME Server integration for sogosync

Group:		Application/System
License:	GNU GPL v2
URL:		https://github.com/xbgmsharp/sogosync
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:	noarch

BuildRequires:	e-smith-devtools
Requires:	smeserver-webapps-common
Requires:	sogosync

%description
Integrate sogosync, which provides an ActiveSync compatible server for SOGo,
based on Z-Push


%prep
%setup -q -n %{name}-%{version}

%build
perl ./createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
  > %{name}-%{version}-filelist
echo "%doc CHANGELOG.git" >> %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jun 10 2012 Daniel Berteaud <daniel@firewall-services.com> 0.1.7-1
- Define *_READONLY constant event when set to false
- Add missing template for additional folders

* Sun Jun 10 2012 Daniel Berteaud <daniel@firewall-services.com> 0.1.6-1
- Correction des templates

* Sat Jun 9 2012 Daniel Berteaud <daniel@firewall-services.com> 0.1.5-1
- Config change for Z-Push 2

* Mon May 14 2012 Daniel Berteaud <daniel@firewall-services.com> 0.1.3-1
- Add new caldav param in config.php

* Fri Apr 27 2012 Daniel Berteaud <daniel@firewall-services.com> 0.1.2-1
- Re add CALDAV_URL param

* Thu Apr 26 2012 Daniel Berteaud <daniel@firewall-services.com> 0.1.1-1
- Update config templates

* Sat Mar 31 2012 Daniel Berteaud <daniel@firewall-services.com> 0.1.0-1
- initial package
